#include "AdcSetting.h"

AdcSetting::AdcSetting(double vref, 
uint8_t adcResolution, 
uint8_t measureIteration, 
uint16_t delayBetweenIteration) : _vref(vref), _adcResolution(adcResolution), _measureIteration(measureIteration), _delayBetweenIteration(delayBetweenIteration), _quantum(vref/(pow(2.0,(double) adcResolution)-1))
{
  
}

uint8_t AdcSetting::getMeasureIteration()
{
  return _measureIteration;
}

double AdcSetting::getQuantum()
{
  return _quantum;
}
